Subject: Re: pine --> eudora MIME problem

From: [email-masked] (S Chan)
Date: 31 May 1996 06:40:02 GMT

I've had a couple of emails with useful replies in them - and a couple 
from people with similar problems. This is a condensed version for the 
newsgroup.

Thanks again for your help folks.

Original query was ;

> Why is there a difference between the way Pine treats a mimed attachment 
> that originates in pine and one that originates in eudora - and how can I 
> change it ?
> 
> I use Pine to mail a simple ASCII file to a colleague in Canada.
> 
> If I send the email to myself with the file attached it arrives OK and I
> can read it in pine (using the Viewer command to see the attachment). 
> 
> When she reads it with Eudora the attachment is incorporated in the body 
> of the message , with various headers attached.  this causes hassle 
> because she has to manually edit the message to separate the attachment.
> 
> We have the same problem the other way around too. If she sends me a 
> message with a mimed attachment I get lines inserted in the message 
> telling me to use 'munpack' to decode it. 
> 

From: Laurence Lundblade <[email-masked]>

This is because Pine doesn't use Content-Disposition to indicate whether 
the text part is an attachment or inline and Eudora assumes all text 
parts that are not marked as attachments are inline.  Ideally changes 
would be made to both programs to improve this situation. 

Pine could be fixed to specify the correct Content-Disposition. This is 
planned for the next major release (I asked them last week).
  
      (maybe 6 mths to a year.....)

Eudora would be changed so it offers some way to save parts of the 
message to files even if they are inline just as Pine does. 

Technically speaking neither one is violating any standards.

I don't have any great ideas how you can change this other than some how 
convince Pine that the thing you are attaching is not actually text. 
There may be a way to do this with the mailcap configuration file, but I 
don't know off-hand.  

I  asked a couple more newbie questions and;

> > convince Pine that the thing you are attaching is not actually text. 
> > There may be a way to do this with the mailcap configuration file, but I 
> > don't know off-hand.  
> >
> Can you suggest where I could look  or ask about this ?

Sure, how about the Pine newsgroup comp.mail.pine, the Pine home page 
http://www.cac.washington.edu/pine, or the Pine documentation. From a 
quick look I think the answer is to use the mime.types.  Haven't tried 
this, but take the text file you're gonna attach, decide on an extension 
for them (e.g., decide you're gonna make all files end in ".atc" and 
rename them to that).  Then put a line of the format 
       application/octet-stream           atc
 in your .mime.types file.  If you have the full Pine distribution you can 
find a sample mime.types file.

LL

-----------------------
I hope this is of help to some of you.